#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  kio-extras-24.12.2

- Next

  libkdcraw-24.12.2

- Up
- Home

# okular-24.12.2

## Introduction to Okular

Okular is a document viewer for KDE. It can view documents of many types including PDF, PostScript, TIFF, DjVu, DVI, XPS, and ePub.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/okular-24.12.2.tar.xz

- Download MD5 sum: f62fda183b2e52822c621a2d880425f8

- Download size: 7.7 MB

- Estimated disk space required: 94 MB

- Estimated build time: 1.1 SBU (using parallelism=4)

### Okular Dependencies

#### Required

KDE Frameworks-6.11.0 and plasma-activities-6.3.2

#### Recommended

libkexiv2-24.12.2, libtiff-4.7.0, phonon-4.12.0, and Poppler-25.02.0 (built with Qt6, required for PDF support)

#### Optional

qca-2.3.9, discount, DjVuLibre, libspectre, libepub, and LibZip

## Installation of Okular

Install Okular by running the following commands:

### Note

If any of the optional dependencies are installed, remove the associated reference in the SKIP_OPTIONAL environment variable.

    mkdir build &&
    cd    build &&

    SKIP_OPTIONAL='Discount;DjVuLibre;EPub;LibSpectre;LibZip'

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -D FORCE_NOT_REQUIRED_DEPENDENCIES="$SKIP_OPTIONAL" \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: okular
Installed Library: Okular6Core.so
Installed Directories: $KF6_PREFIX/include/okular, $KF6_PREFIX/lib/cmake/Okular6, $KF6_PREFIX/lib/plugins/okular, $KF6_PREFIX/share/okular, and $KF6_PREFIX/share/doc/HTML/*/okular

### Short Descriptions

okular | is a document viewer

- Prev

  kio-extras-24.12.2

- Next

  libkdcraw-24.12.2

- Up
- Home